Debian Bug report logs - #707052
ifupdown: failing to bring up any interface with bogus error "interface lo declared allow-auto twice"

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Bjørn Mork <bjorn@mork.no>

Date: Tue, 7 May 2013 07:18:02 UTC

Severity: important

Merged with 707092

Found in versions ifupdown/0.7.41, ifupdown/0.7.42

Fixed in version ifupdown/0.7.43

Done: Andrew Shadura <andrewsh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 07:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
New Bug report received and forwarded. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 07:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: failing to bring up any interface with bogus error "interface lo declared allow-auto twice"
Date: Tue, 07 May 2013 09:14:48 +0200
Package: ifupdown
Version: 0.7.41
Severity: important

Dear Maintainer,

Networking did not come up after installing 0.7.41, using previously
working configuration. Not even the loopback interface was brought up!
Trying to take up any interface manually gives an obviously bogus
error message:

 frtest1:~# ifup eth0
 /etc/network/interfaces:5: interface lo declared allow-auto twice
 ifup: couldn't read interfaces file "/etc/network/interfaces"

This is bogus because:

 frtest1:~# grep lo /etc/network/interfaces
 # The loopback network interface
 auto lo
 iface lo inet loopback
         # set up ebtables to allow L3 routing of DHCPv6

Removing the (only instance of) "auto lo" allowed bringing up
interfaces again.  But this workaround is in no way acceptable.  This
change breaks existing configurations.  You cannot do that.

Thanks,
Bjørn


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ifupdown depends on:
ii  dpkg         1.16.10
ii  initscripts  2.88dsf-41
ii  iproute      20120521-3+b4
ii  libc6        2.13-38
ii  lsb-base     4.1+Debian9

ifupdown recommends no packages.

Versions of packages ifupdown suggests:
ii  isc-dhcp-client [dhcp-client]  4.2.4-6
ii  net-tools                      1.60-24.2
pn  ppp                            <none>
pn  rdnssd                         <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Bjørn Mork <bjorn@mork.no>, 707052@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#707052: ifupdown: failing to bring up any interface with bogus error "interface lo declared allow-auto twice"
Date: Tue, 7 May 2013 09:35:20 +0200
Hello,

On 7 May 2013 09:14, Bjørn Mork <bjorn@mork.no> wrote:
> Networking did not come up after installing 0.7.41, using previously
> working configuration. Not even the loopback interface was brought up!
> Trying to take up any interface manually gives an obviously bogus
> error message:

>  frtest1:~# ifup eth0
>  /etc/network/interfaces:5: interface lo declared allow-auto twice
>  ifup: couldn't read interfaces file "/etc/network/interfaces"

> This is bogus because:

> Removing the (only instance of) "auto lo" allowed bringing up
> interfaces again.  But this workaround is in no way acceptable.  This
> change breaks existing configurations.  You cannot do that.

Sorry, it wasn't intended to be like that. Fix is on its way.

-- 
WBR, Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 07:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 07:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 08:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 08:03:16 GMT) Full text and rfc822 format available.

Message #20 received at 707052@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Bjørn Mork <bjorn@mork.no>, 707052@bugs.debian.org
Subject: Re: Bug#707052: ifupdown: failing to bring up any interface with bogus error "interface lo declared allow-auto twice"
Date: Tue, 7 May 2013 09:59:47 +0200
Hello,

On 7 May 2013 09:35, Andrew Shadura <bugzilla@tut.by> wrote:
>> Networking did not come up after installing 0.7.41, using previously
>> working configuration. Not even the loopback interface was brought up!
>> Trying to take up any interface manually gives an obviously bogus
>> error message:

> Sorry, it wasn't intended to be like that. Fix is on its way.

I think I have fixed the bug, please test 0.7.43 as soon as it appears
in the archive and report if it hasn't broken your configuration,
which I hope it hasn't. In fact, these were just some stupid things I
have overlooked before the upload. Note to myself: never do any
uploads in the middle of the night :)

-- 
WBR, Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 09:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vaclav Ovsik <vaclav.ovsik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 09:15:05 GMT) Full text and rfc822 format available.

Message #25 received at 707052@bugs.debian.org (full text, mbox):

From: Vaclav Ovsik <vaclav.ovsik@gmail.com>
To: Debian Bug Tracking System <707052@bugs.debian.org>
Subject: Re: ifupdown: failing to bring up any interface with bogus error "interface lo declared allow-auto twice"
Date: Tue, 07 May 2013 11:04:09 +0200
Package: ifupdown
Version: 0.7.41
Followup-For: Bug #707052

Dear Maintainer,
I have the same fatal problem. I have tried to fill the interfaces file with
only:

bobek:~# cat /etc/network/interfaces
auto lo
iface lo inet loopback
bobek:~# 

from example configuration /usr/share/doc/ifupdown/examples/network-interfaces.gz

bobek:~# ifup lo
/etc/network/interfaces:1: interface lo declared allow-auto twice
ifup: couldn't read interfaces file "/etc/network/interfaces"

This ifupdown version is garbage :(.
I'm going to downgrade...
-- 
Zito


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
armel

Kernel: Linux 3.8-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ifupdown depends on:
ii  dpkg         1.16.10
ii  initscripts  2.88dsf-41
ii  iproute      20120521-3+b4
ii  libc6        2.13-38
ii  lsb-base     4.1+Debian9

ifupdown recommends no packages.

Versions of packages ifupdown suggests:
ii  isc-dhcp-client [dhcp-client]  4.2.4-6
ii  net-tools                      1.60-24.2
ii  ppp                            2.4.5-5.1+b1
pn  rdnssd                         <none>

-- no debconf information



Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Tue, 07 May 2013 09:24:26 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Tue, 07 May 2013 09:24:26 GMT) Full text and rfc822 format available.

Message #30 received at 707052-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 707052-close@bugs.debian.org
Subject: Bug#707052: fixed in ifupdown 0.7.43
Date: Tue, 07 May 2013 09:21:00 +0000
Source: ifupdown
Source-Version: 0.7.43

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 07 May 2013 09:41:18 +0200
Source: ifupdown
Binary: ifupdown
Architecture: source i386
Version: 0.7.43
Distribution: unstable
Urgency: low
Maintainer: Andrew Shadura <andrewsh@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 707052
Changes: 
 ifupdown (0.7.43) unstable; urgency=low
 .
   * Don't consider multiple auto declarations an error (Closes: #707052).
Checksums-Sha1: 
 76b8a17e3951e6cf186f65cc6e65120d429bbd2b 1592 ifupdown_0.7.43.dsc
 8f15a03ca2203b93ac18b9abd0148b67d93da0a3 107951 ifupdown_0.7.43.tar.gz
 3b1d7c581277cd38ab8391f76041d8a60e3553ea 65598 ifupdown_0.7.43_i386.deb
Checksums-Sha256: 
 6723fe47bb1fbed616a4cb21631a6be239b4c26fd3f468ef4564ac788b2b4468 1592 ifupdown_0.7.43.dsc
 e0ad91e6642445b800aaf5cb93989b02d9d41a6f29422b268b0bce30964e0a38 107951 ifupdown_0.7.43.tar.gz
 58331a5ddeb0311b5fe3e016dd44e8070380def4ad8f6a8e150d416db912c686 65598 ifupdown_0.7.43_i386.deb
Files: 
 f4cd705e49a0d3f16eecdba9046b3b84 1592 admin important ifupdown_0.7.43.dsc
 4fae3104e2546ad4b6f17d12b516748f 107951 admin important ifupdown_0.7.43.tar.gz
 b11af26379b55cca86a65dce97f125dc 65598 admin important ifupdown_0.7.43_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJRiLDgAAoJEG6k0jEaLSaNRwcQALc50ZRklIGwUzvQottMvnry
XFmDK/RfT1/1mVzMuan+ZrPztm6+hd97qXOVGy8GHBNXmvgH2BRARZYoXw9cTRB/
bhdJmw874wLGtR7CH79qESLHaZtV+gNP/VfoigKmE+c5+YhLp4lDzEcuOKMd0Ffl
61/4zwXMAHfn/2tuDgCnXatt+7vLpxo8Txf+mDPC6paPUCOYrZfXnh/Fkvh01rDF
U8yD2fo8PARJxnIZItaei1hDqWxb1C93IMdCRt0uoj2JJPceY3b4FhlhgWBK2/hn
h1TVF+6qMjzWHCSsceLBAqbrHRFJw/rGX1FlPt+mMSqux2ZBXG992PcORS8H4W6z
k+56i5psMP5glh+fLWf4DwsEUDs001//qh5+LXuGCJ38F1X1n0+Mt7VCHZRiMbfi
T4aJDOSoJ/fBdL0GnMZTHwuxcE1WyV/W3ahhdBpJTHKEzkEb3OBJ9ELJmN9Qu++7
sQzKo0AebO9jWqcn2idb7oyzL7JlSbI5dVXz3FbQevZ7IO+JD4UmaNs6fDLQJzKS
GrRYpJfGthuVXJFlG75Bq5pC44JnRbMCjJ6DpbdStcthOeWy2YAelCH6gbS8ZWfr
8vFrrQ8Q45F6g02Wud9yhpmZWYvVGoy22ruq0Duxkz8AaDXELsqIUXFTEybm2Q+4
1QjVH4yxE+6DATroRi0N
=023P
-----END PGP SIGNATURE-----




Marked as found in versions ifupdown/0.7.42. Request was from Andrew Shadura <andrewsh@debian.org> to control@bugs.debian.org. (Tue, 07 May 2013 12:27:14 GMT) Full text and rfc822 format available.

Merged 707052 707092 Request was from Andrew Shadura <andrewsh@debian.org> to control@bugs.debian.org. (Tue, 07 May 2013 12:27:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 12:30:04 GMT) Full text and rfc822 format available.

Message #39 received at 707052@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: eric2.valette@orange.com, 707092@bugs.debian.org, 707052@bugs.debian.org
Cc: "Salvo 'LtWorf' Tomaselli" <tiposchi@tiscali.it>
Subject: Re: Bug#707092: Confirmed: the "auto" keyword parsing seems broken
Date: Tue, 7 May 2013 14:26:47 +0200
Hello guys,

I understand that this is a serious bug which I apologise for, but why
don't you care to spend a minute to check for existing bug reports
before reporting it over and over and over again? I believe I have
fixed it in 0.9.43, please do check as soon as it arrives.

-- 
WBR, Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric2.valette@orange.com:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Message #44 received at 707052@bugs.debian.org (full text, mbox):

From: VALETTE Eric OLNC/OLPS <eric2.valette@orange.com>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 707092@bugs.debian.org, 707052@bugs.debian.org, Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Subject: Re: Bug#707092: Confirmed: the "auto" keyword parsing seems broken
Date: Tue, 07 May 2013 14:31:09 +0200
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 12:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 12:51:08 GMT) Full text and rfc822 format available.

Message #49 received at 707052@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: eric2.valette@orange.com
Cc: 707092@bugs.debian.org, 707052@bugs.debian.org, "Salvo 'LtWorf' Tomaselli" <tiposchi@tiscali.it>
Subject: Re: Bug#707092: Confirmed: the "auto" keyword parsing seems broken
Date: Tue, 7 May 2013 14:49:21 +0200
Hello,

On 7 May 2013 14:31, VALETTE Eric OLNC/OLPS <eric2.valette@orange.com> wrote:
> As far as I know, I added information to an existing bug and did not create
> a new one.
> And a bit of testing before uploading wouldn't hurt anyway ;-)

The bug was already known, but it's a bit annoying to see bug reports
when the issue is already resolved.

> And yes 0.7.43 (not 0.9.43) resolves it allthough I think the "allow auto
> multiple times" message in the chnagelog is a bit misleading as I have auto
> only once!

Actually, no, it says exactly what was changed. As manual page says,
now the loopback is implicitly defined, and it's implicitly added to
the auto list, so one more auto keyword was adding it there again. I
don't know why was that made an error condition originally — it
shouldn't have been after all, but I have overlooked that when I was
preparing the upload.

P.S. Please try to avoid sending HTML-only mails, especially to the bug tracker.

-- 
WBR, Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric2.valette@orange.com:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 13:15:08 GMT) Full text and rfc822 format available.

Message #54 received at 707052@bugs.debian.org (full text, mbox):

From: VALETTE Eric OLNC/OLPS <eric2.valette@orange.com>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 707092@bugs.debian.org, 707052@bugs.debian.org, Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Subject: Re: Bug#707092: Confirmed: the "auto" keyword parsing seems broken
Date: Tue, 07 May 2013 15:00:59 +0200
On 05/07/2013 02:49 PM, Andrew Shadura wrote:
> Hello,
>
> On 7 May 2013 14:31, VALETTE Eric OLNC/OLPS <eric2.valette@orange.com> wrote:
>> As far as I know, I added information to an existing bug and did not create
>> a new one.
>> And a bit of testing before uploading wouldn't hurt anyway ;-)
> The bug was already known, but it's a bit annoying to see bug reports
> when the issue is already resolved.
When I added info at the issue it was still marked unresolved => I disagree
>
>> And yes 0.7.43 (not 0.9.43) resolves it allthough I think the "allow auto
>> multiple times" message in the chnagelog is a bit misleading as I have auto
>> only once!
> Actually, no, it says exactly what was changed. As manual page says,
> now the loopback is implicitly defined, and it's implicitly added to
> the auto list, so one more auto keyword was adding it there again. I
> don't know why was that made an error condition originally — it
> shouldn't have been after all, but I have overlooked that when I was
> preparing the upload.

Extract from the man page of interfaces:
    --------------
 The file consists of zero or more "iface", "mapping", "auto", "allow-" 
and "source" stanzas. Here is an example.
       auto lo eth0
       allow-hotplug eth1

       iface lo inet loopback
   -------------------------

And the examples in /usr/share/doc should also be removed. BTW: if I do 
not add the auto lo line I get no lo interface at all even if I have the 
"iface lo inet loopback". So could you clarify via and example interface 
file for lo interface?
>
> P.S. Please try to avoid sending HTML-only mails, especially to the bug tracker.
>
Welle well, If thunderbird was actually doing what I told him to do...

-- 
Eric Valette
Orange Lab Product and Services
Homebox Etudes Architecture et Développement
Architecte Livebox et Set Top Box
tél : (+33) 2 99 12 45 71
mél : <mailto:Eric2.Valette@orange.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#707052; Package ifupdown. (Tue, 07 May 2013 13:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Schweikle <TSchweikle@BfS.de>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Tue, 07 May 2013 13:48:13 GMT) Full text and rfc822 format available.

Message #59 received at 707052@bugs.debian.org (full text, mbox):

From: Thomas Schweikle <TSchweikle@BfS.de>
To: 707052@bugs.debian.org
Subject: Fix not propagated to all servers ...
Date: Tue, 07 May 2013 15:35:03 +0200
[Message part 1 (text/plain, inline)]
The fix seems to not have hit all servers arround the world until now...

-- 
Thomas

[smime.p7s (application/pkcs7-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jun 2013 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:11:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.